Page MenuHomePhabricator

Enable the instruction printer in HexagonMCTargetDesc
ClosedPublic

Authored by sidneym on Oct 10 2014, 1:50 PM.

Details

Summary

This adds the MCInstPrinter to the LLVMHexagonDesc library and removes the dependency LLVMHexagonAsmPrinter had on LLVMHexagonDesc. This is a prerequisite needed by the disassembler.

Diff Detail

Event Timeline

sidneym updated this revision to Diff 14749.Oct 10 2014, 1:50 PM
sidneym retitled this revision from to Enable the instruction printer in HexagonMCTargetDesc.
sidneym updated this object.
sidneym edited the test plan for this revision. (Show Details)
sidneym added a subscriber: Unknown Object (MLST).
adasgupt accepted this revision.Oct 14 2014, 3:07 PM
adasgupt edited edge metadata.
This revision is now accepted and ready to land.Oct 14 2014, 3:07 PM
colinl accepted this revision.Oct 15 2014, 8:09 AM
colinl edited edge metadata.
rafael added inline comments.Oct 16 2014, 7:24 PM
lib/Target/Hexagon/InstPrinter/HexagonInstPrinter.cpp
159

Are this changes intended? The description doesn't mention them.

shankarke added inline comments.Oct 16 2014, 7:40 PM
lib/Target/Hexagon/InstPrinter/HexagonInstPrinter.cpp
42–43

remove else.

56–57

same as above comment.

sidneym added inline comments.Oct 17 2014, 6:08 AM
lib/Target/Hexagon/InstPrinter/HexagonInstPrinter.cpp
56–57

OK, will remove both.

159

While troublesome, the assert is intended to keep this routine from being attached to an incorrect insn.

The code below is the fix for the actual dependency. isConstExtended is in LLVMHexagonDesc, when the inst printer is registered in that library a circular dependency is formed.

mcrosier closed this revision.Nov 13 2014, 9:35 AM
mcrosier edited edge metadata.

Committed in r219826. Please close these after the change has been committed.